Page 1 of 1

27.7.0a2 unstable unofficial build

Posted: 2018-01-06, 21:56
by SpockFan02
Hello,

Last night I built Pale Moon 27.7.0 Alpha 2 from the Pale-Moon master branch. It was built on macOS Sierra 10.12.6. It works on the machine it was built on, but not with Mavericks. I have not tested other OS versions. A concise summary of the major changes made since the 27.6.2 release can be found here, with more detailed information in the GitHub commit log. The biggest thing for me was the introduction to the core browser of a way to set a custom new tab page (which I have been doing with an extension).

This build is likely to have issues, and in all probability I won't know how to fix them. It must be stressed that this is an unofficial build of unstable code. It's not even 'officially unofficial' like sugis'. I just thought it'd be nice to experience the latest unstable version like Windows and Linux users can.

So far I have noticed that the text in the address and search bars seems a little too high up, and the about:config search bar's text is too low and won't go away when you start typing. I don't know if that's a result of the way I built it or (a) new bug(s).

You can download the DMG here: https://drive.google.com/open?id=1RfbHydJvUq7gUGdGGMLoXT6r3mfBExxm

The application is called NewMoon and uses the unofficial branding (the grey logo is the most obvious part of this), because it's unofficial and the developers don't want to be associated with it. ;)

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-11, 13:40
by RickBH
As expected, it will not run on 10.6.8. Hopefully Sugis next version will still be good.

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-11, 13:42
by New Tobin Paradigm
Isn't 10.6 ridiculously old and out of date?

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-11, 15:09
by snowmoon
Yeah, but it works so well, and it's faster than almost everything that came after it…
Isn't 10.6 ridiculously old and out of date?

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-11, 18:08
by verdant
I totally agree with snowmoon. For that very reason, as well as being able to use PowerPC applications via Rosetta, I still use OS X 10.6.8 as my main daily use OS X version :thumbup:
That is why Sugis deserves full credit for compiling Pale Moon to still run on OS X 10.6.8 :clap:

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-11, 18:15
by eskaton023
For comparison, Windows 7 is two years older than 10.6.8. Win 7 SP1 is just a few months older as well.

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-12, 05:24
by SpockFan02
Yeah, I'm sorry I couldn't build it on/for an older OS; I've got macOS 10.12, OS X 10.9, and a couple of versions of Apple DOS. This build was mainly to allow me to try it (Pale Moon unstable and the build process) out, but if I do it again, I'll use 10.9 (not that that would be likely to let it run on 10.6.8). sugis is definitely the one who knows more about what they're doing here.

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-12, 10:16
by snowmoon
Hey SpockMan02, don’t worry about older OS, you’re doing absolutely right! It is important to have a build for modern macOS that will eventually become bugfree and could be an official Pale Moon for Mac. I don’t expect 10.6 support in the long term, since there are severe differences in xcode library versions.

On the other hand, Pale Moon is the only remaining browser for older OS X which even seems safe against Meltdown/Spectre. Therefore my wish for the future: that someone like sugis supplies us with a build, compatible with older OS, as long as he could, even if such build remains experimental/unofficial forever. Plus an official build like mentioned above.

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-12, 12:03
by New Tobin Paradigm
eskaton023 wrote:For comparison, Windows 7 is two years older than 10.6.8. Win 7 SP1 is just a few months older as well.
Windows 7 is still supported by its developer.. 10.6 is not.

It has never been a goal of this project to support old operating systems and hardware.

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-12, 14:54
by eskaton023
Off-topic:
New Tobin Paradigm wrote: Windows 7 is still supported buy its developer.. 10.6 is not.
It has never been a goal of this project to support old operating systems and hardware.
If the logic is old=unsupported by vendor, will PM drop support for Win7 on Jan 14, 2020? Much ballyhoo was made here about users needing to upgrade from XP as it was a 10-12 year old OS.

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-12, 16:02
by New Tobin Paradigm
Old is a subjective term. Unsupported is not. Chances are we will support Windows 7 for a time longer than official End of Life. But there are ALSO other factors.. We dropped XP support for SEVERAL reasons not JUST because it was unsupported though that was a factor. WE ARE However, going to drop Vista shortly after its end of life.

Unified XUL Platform will NOT Support Windows Vista. Thus, Pale Moon 28 won't support Vista. There are reasons BEYOND it's end of life that went into that.

So no it isn't because it is merely "old" and attempts to just try to over simplify or delegitimatize developmental decisions that are made for reasons beyond petty interests.

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-15, 16:43
by PRIZZA
Thanks for this build. I was fairly happy to hop off of 10.6.x when the chance appeared. It's running smoothly on 10.12.6! :thumbup:

Re: 27.7.0a2 unstable unofficial build

Posted: 2018-01-15, 17:53
by SpockFan02
PRIZZA wrote:Thanks for this build. I was fairly happy to hop off of 10.6.x when the chance appeared. It's running smoothly on 10.12.6! :thumbup:
I'm glad you like it. Pale Moon 27.7.0 has been officially released now, so there will probably be a build from sugis in the next few days. :)